<?php

require_once('DB.php');

class Auth {
	var $session;
	var $_sessionName = '_authsession';
	var $username	  = '';
	var $password	  = '';
	var $mUserId	  = null;
    
    function Auth() {
    	
    	@session_start();
    	
    	if( !isset($_SESSION[$this->_sessionName]) && !isset($GLOBALS['HTTP_SESSION_VARS'][$this->_sessionName]) ) {
            //   PHP 4.2.0   session_register
            $_SESSION[$this->_sessionName] = array();
        }
        
    	isset($_SESSION) ? $this->session =& $_SESSION[$this->_sessionName] : 
    		$this->session =& $GLOBALS['HTTP_SESSION_VARS'][$this->_sessionName];
    		
    	if (isset($GLOBALS["SMARTY"])) $GLOBALS["SMARTY"]->assign("authsession",$this->session);
    }
    
    function isAuthenticated() {
        if (isset($this->session['registered'])) return true;
		return false;
    }
    
    function doLogin($username,$password) {
    	$db = DB::connect(DSN);
    	if (DB::isError($db))
    		return false;

    	$password = str_replace("'","\'",$password);
    	$password = str_replace("!","\!",$password);
    	$password = str_replace("?","\?",$password);
    	$password = str_replace("&","\&",$password);
		$sel_str = "select u.u_id, u.u_manager_id, u.u_password
    			from users u, user_status_list usl
    			where u.u_login = '!' and u.u_password = '".$password."' 
    				and u.u_active = usl.usl_id and usl.usl_hidden = 0";
    	$db->setFetchMode(DB_FETCHMODE_ASSOC);
    	$sth = $db->prepare($sel_str);
		$data = array($username);
  		$rc = $db->execute($sth,$data);

  		if (DB::isError($rc))
  			return false;

  		$val = $rc->fetchRow();
		if ($val['u_id'] > 0) {
			$this->mUserId = $val['u_id'];
			$this->setAuth($username);
			$GLOBALS[$this->_sessionName] = $this->session;
      		return true;
    	} else {
      		return false;
    	}
    }
    
    function doLogout() {
    	$this->session = array();
    	$GLOBALS[$this->_sessionName] = $this->session;
    }
    
    function setAuth($username, $rolenik="") {
        if (!isset($this->session) || !is_array($this->session)) {
            $this->session = array();
        }

        if (!isset($this->session['data'])) {
            $this->session['data'] = array();
        }

        $this->session['sessionip'] = isset($GLOBALS['HTTP_SERVER_VARS']['REMOTE_ADDR']) ? $GLOBALS['HTTP_SERVER_VARS']['REMOTE_ADDR'] : '';
        $this->session['sessionuseragent'] = isset($GLOBALS['HTTP_SERVER_VARS']['HTTP_USER_AGENT']) ? $GLOBALS['HTTP_SERVER_VARS']['HTTP_USER_AGENT'] : '';

        // This should be set by the container to something more safe
        // Like md5(passwd.microtime)
        if(empty($this->session['challengekey'])) {
            $this->session['challengekey'] = md5($username.microtime());
        }

        $this->session['challengecookie'] = md5($this->session['challengekey'].microtime());
        setcookie('authchallenge', $this->session['challengecookie']);

        $this->session['registered'] = true;
        $this->session['username']   = $username;
        $this->session['userid']     = $this->mUserId;
        $this->session['timestamp']  = time();
        $this->session['idle']       = time();
        $this->session['rolenik']    = $rolenik;
    }
    
    function getUserName() {
    	return $this->session['username'];
    }
    
    function getUserId() {
    	return $this->session['userid'];
    }
}
?>