<?php
// Copyright (c) 2004-2005 WR Consulting (http://www.wrconsulting.com).
// Protected by the LIBERAL FREEWARE LICENSE. Read the file license.txt for details.

$i18n_charset		='utf-8';
$i18n_timestring	= "%W, %M %D, %Y";
$i18n_format_date	= "m/d/Y";
$i18n_format_time	= "H:i:s";
$i18n_float_delimiter	= ".";

$i18n_month		= array ('january', 'february', 'march', 'april', 'may', 'june', 'july', 'august', 'september', 'october', 'november', 'december');
$i18n_week		= array ('sunday', 'monday', 'tuesday', 'wednesday', 'thursday', 'friday', 'saturday');
$i18n_week_sn	= array ("su","mo","tu","we","th","fr","sa");
$i18n_start_week = 0; // 0 - Su, 1 - Mo
$i18n_holidays	= array('20/07','24/07'); // date format is 'd/m'

$i18n_key_words = array(
"menu.login"		=> 'login',
"menu.logout"		=> 'logout',
"menu.feedback"		=> 'feedback',
"menu.help"			=> 'help',
"menu.register"		=> 'create new manager account',
"menu.edprof"		=> 'edit profile',
"menu.mytime"		=> 'my time',
"menu.report"		=> 'reports',
"menu.project"		=> 'projects',
"menu.activity"		=> 'activities',
"menu.people"		=> 'people',

"errors.db_error"	=> 'database error',
"errors.wrong"		=> 'incorrect \'{0}\' data',
"errors.empty"		=> 'field \'{0}\' is empty',
"errors.compare"		=> 'the field \'{0}\' is not equaled to a field \'{1}\'',
"errors.wr_interval"	=> 'incorrect interval',
"errors.wr_project"		=> 'select project',
"errors.wr_activity"	=> 'select activity',
"errors.wr_auth"		=> 'incorrect login or password',
"errors.del_nothing"	=> 'no data for deleting',
"errors.reg_error"		=> "unable to create new user",
"errors.prof_error"		=> "unable to change profile",
"errors.no_user"		=> "there is no such user",
"errors.mt_del_no"		=> 'unable to delete the time record',
"errors.mt_del_no_conf"	=> 'the time record has not been deleted',
"errors.mt_insert"		=> 'time insert error',
"errors.user_exist"		=> 'user with this e-mail already exists',
"errors.user_notexists"	=> 'user not exists',
"errors.user_update"	=> "unable to change user's data",
"errors.user_delete"	=> "unable to delete user's data",
"errors.project_exist"	=> 'project with this name already exists',
"errors.project_notexists"	=> 'project not exists',
"errors.project_update"	=> "unable to change project name",
"errors.project_add"	=> 'unable to add new project',
"errors.project_nodel"	=> 'unable to delete project',
"errors.activity_add"	=> 'unable to add new activity',
"errors.activity_exist"	=> 'activity with this name already exists',
"errors.activity_update"	=> "unable to change activity name",
"errors.activity_nodel"	=> 'unable to delete activity',
"errors.activity_notexists"	=> 'activity not exists',
"errors.report_period"	=> 'incorrect period',
"errors.search_by_login"	=> 'no user with this e-mail',

"button.login"		=> 'login',
"button.now"		=> 'now',
"button.behalf_set"	=> 'set',
"button.save"		=> 'save',
"button.delete"		=> 'delete',
"button.cancel" 	=> 'cancel',
"button.submit" 	=> 'submit',
"button.ppl_add"	=> 'add new user',
"button.proj_add"	=> 'add new project',
"button.act_add"	=> 'add new activity',
"button.add"		=> 'add',
"button.generate"	=> 'generate',
"button.sendpwd"	=> 'send password',
"button.send"		=> 'send',
"button.sendbyemail"	=> 'send by email',

"form.login.title"	=> 'login',
"form.login.login"	=> 'e-mail',
"form.login.password"	=> 'password',

"form.fpass.title"	=> 'remind password',
"form.fpass.login"	=> 'e-mail',
"form.fpass.send_pass_str"	=> 'password has been sent',
"form.fpass.send_pass_subj"	=> 'Your WR Time Tracker password',
"form.fpass.send_pass_body"	=> "Dear user,\n\nSomeone, possibly you, requested a password reminder to be sent at this address. Your password for WR Time Tracker system is \"%s\".\n\nPowered by WR Team Server (http://products.wrconsulting.com/wrteamserver).\n",

"form.mytime.title"		=> 'my time',
"form.mytime.edit_title"	=> 'editing time record',
"form.mytime.del_str"	=> 'deleting time record',
"form.mytime.time_form"	=> ' (hh:mm)',
"form.mytime.date"		=> 'date',
"form.mytime.project"	=> 'project',
"form.mytime.activity"	=> 'activity',
"form.mytime.start"		=> 'start',
"form.mytime.finish"	=> 'finish',
"form.mytime.duration"	=> 'duration',
"form.mytime.note"		=> 'note',
"form.mytime.behalf"	=> 'daily work for',
"form.mytime.daily"		=> 'daily work',
"form.mytime.total"		=> 'hours total: ',
"form.mytime.th.project"	=> 'project',
"form.mytime.th.activity"	=> 'activity',
"form.mytime.th.start"		=> 'start',
"form.mytime.th.finish"		=> 'finish',
"form.mytime.th.duration"	=> 'duration',
"form.mytime.th.note"		=> 'note',
"form.mytime.th.edit"		=> 'edit',
"form.mytime.th.delete"		=> 'delete',
"form.mytime.del_yes"		=> 'the time record has been deleted successfully',

"form.profile.createm_str"	=> 'create new manager account',
"form.profile.prof_str"		=> 'editing profile',
"form.profile.name"		=> 'name',
"form.profile.email"	=> 'e-mail',
"form.profile.pas1"		=> 'password',
"form.profile.pas2"		=> 'confirm password',
"form.profile.comp"		=> 'company',
"form.profile.www"  	=> 'company web site',
"form.profile.curr"		=> 'currency',

"form.people.ppl_str"	=> 'people',
"form.people.createu_str"	=> 'creating new user',
"form.people.edit_str"	=> 'editing user',
"form.people.del_str"	=> 'deleting user',
"form.people.th.name"	=> 'name',
"form.people.th.email"	=> 'e-mail',
"form.people.th.role"	=> 'role',
"form.people.th.edit"	=> 'edit',
"form.people.th.del"	=> 'delete',
"form.people.th.status"	=> 'status',
"form.people.manager"	=> 'manager',
"form.people.empl"		=> 'user',
"form.people.name"		=> 'name',
"form.people.email"		=> 'e-mail',
"form.people.pas1"		=> 'password',
"form.people.pas2"		=> 'confirm password',
"form.people.rate"		=> 'hourly rate',

"form.project.proj_title"	=> 'projects',
"form.project.edit_str"		=> 'editing project',
"form.project.add_str"		=> 'adding new project',
"form.project.del_str"		=> 'deleting project',
"form.project.th.name"		=> 'name',
"form.project.th.edit"		=> 'edit',
"form.project.th.del"		=> 'delete',
"form.project.name"		=> 'name',

"form.activity.act_title"	=> 'activities',
"form.activity.add_title"	=> 'adding new activity',
"form.activity.edit_str"	=> 'editing activity',
"form.activity.del_str"		=> 'deleting activity',
"form.activity.name"		=> 'name',
"form.activity.project"		=> 'project',
"form.activity.th.name"		=> 'name',
"form.activity.th.project"	=> 'project',
"form.activity.th.edit"		=> 'edit',
"form.activity.th.del"		=> 'delete',

"form.report.title"			=> 'reports',
"form.report.from"			=> 'start date',
"form.report.to"			=> 'end date',
"form.report.groupby_user"   	=> 'user',
"form.report.groupby_project"	=> 'project',
"form.report.groupby_activity"	=> 'activity',
"form.report.duration"	=> 'duration',
"form.report.start"		=> 'start',
"form.report.activity"	=> 'activity',
"form.report.show_idle"	=> 'show idle',
"form.report.finish"	=> 'finish',
"form.report.note"		=> 'note',
"form.report.project"	=> 'project',
"form.report.total"		=> 'hours total',
"form.report.th.empllist"	=> 'user',
"form.report.th.date"		=> 'date',
"form.report.th.project"	=> 'project',
"form.report.th.activity"	=> 'activity',
"form.report.th.start"		=> 'start',
"form.report.th.finish"		=> 'finish',
"form.report.th.duration"	=> 'duration',
"form.report.th.note"		=> 'note',

"form.mail.from"	=> 'from',
"form.mail.to"		=> 'to',
"form.mail.cc"		=> 'cc',
"form.mail.subject"		=> 'subject',
"form.mail.comment"		=> 'comment',
"form.mail.above"		=> 'send this report by e-mail to:',
"form.mail.footer_str"	=> 'powered by <a href="http://products.wrconsulting.com/wrteamserver">WR Team Server</a>',
"form.mail.sending_str"		=> '<b>the message has been sent</b>',

"form.invoice.title"	=> 'invoice',
"form.invoice.caption"	=> 'invoice',
"form.invoice.above"	=> 'additional information for invoice',
"form.invoice.date"			=> 'invoice date',
"form.invoice.number"		=> 'invoice number',
"form.invoice.tax"			=> 'tax',
"form.invoice.yourcoo"		=> 'your name<br> and address',
"form.invoice.custcoo"		=> 'client name<br> and address',
"form.invoice.comment"		=> 'comment ',
"form.invoice.th.username"  => 'person',
"form.invoice.th.time"		=> 'hours',
"form.invoice.th.rate"		=> 'rate',
"form.invoice.th.summ"		=> 'amount',
"form.invoice.subtotal"		=> 'subtotal',
"form.invoice.total"		=> 'total',
"form.invoice.customer"  => 'client',
"form.invoice.period"	=> 'billing period',
"form.invoice.date"		=> 'date',
"form.invoice.mailinv_above"	=> 'send this invoice by e-mail to:',
"form.invoice.sending_str"	=> '<b>invoice has been sent</b>',

"forward.forgot_password"	=> 'forgot password?',
"forward.edit"		=> 'edit',
"forward.delete"	=> 'delete',
"forward.sendbyemail"	=> 'send by e-mail',
"forward.tocsvfile"		=> 'export data to .csv file',
"forward.geninvoice"	=> 'generate invoice',
"forward.send_inv_byemail"	=> 'send this invoice by e-mail',

"controls.select.project"	=> '--- select project ---',
"controls.select.activity"	=> '--- select activity ---',
"controls.project_bind"		=> '--- all ---',
"controls.all"			=> '--- all ---',
"controls.per_tm"		=> 'this month',
"controls.per_lm"		=> 'last month',
"controls.per_tw"		=> 'this week',
"controls.per_lw"		=> 'last week',
"controls.sel_period"	=> '--- select time period ---',
"controls.sel_groupby" 	=> '--- no grouping ---',

"label.pinfo"			=> '%s, %s',
"label.pinfo2"			=> '%s',
"label.pbehalf_info"	=> '%s %s <b>on behalf of %s</b>',
"label.pminfo"			=> ' (manager)',
"label.time_noentry"	=> 'no entry',
"label.today"			=> 'today',
"label.req_fields"		=> '* required fields',
"label.sel_project"		=> 'select project',
"label.sel_activity"	=> 'select activity',
"label.sel_tp"			=> 'select time period',
"label.set_tp"			=> 'or set dates',
"label.fields"			=> 'show fields',
"label.group_title"		=> 'group by',
"label.inv_str"			=> 'invoice',
"label.set_empl"		=> 'select users'
);
?>